-- Anadir la entrada estandar al final de un fichero 
-- existente.
-- System Calls: open, creat, close, read, write.
-- Equivalente en Bourne Shell: cat >> f2.out


with Unix;
procedure Ex3 is

   Buffer    : String(1..5):=(others => ' ');
   Bytes_Read: Natural;
   F2     : Integer;
   New_Pos: Integer;
begin
   F2 := Unix.Open("f2.out", Unix.O_WRONLY);
   New_Pos := Unix.Lseek(F2, 0, Unix.SEEK_END);
   loop
      Unix.Read(0,Buffer,Buffer'Length,Bytes_Read);
      exit when Bytes_Read = 0;
      Unix.Write(F2,Buffer,Bytes_Read);
   end loop;
   Unix.Close(F2);
end Ex3;
